> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Update lead

PUT https://api.propexo.com/v1/leads/{id}
Content-Type: application/json

Update a lead.

Reference: https://docs.propexo.com/api-reference/pms-generic-ap-is/leads/update-lead

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `id` (string, required) — The ID of the resource.

### Body (application/json)

This endpoint expects a _v1_leads_{id}_put_input.

- `lead_id` (string, optional) — The Propexo unique identifier for the lead
- `employee_id` (string, optional) — The Propexo unique identifier for the employee
- `desired_unit_ids` (list of string, optional) — An array of the Propexo unit IDs that the lead is interested in
- `unit_id` (string, optional) — The Propexo unique identifier for the unit
- `first_name` (string, optional) — The first name associated with the lead
- `last_name` (string, optional) — The last name associated with the lead
- `number_of_additional_occupants` (integer, optional) — The number of additional occupants associated with the lead
- `desired_num_bathrooms` (double, optional) — The desired number of bathrooms
- `desired_num_bedrooms` (double, optional) — The desired number of bedrooms
- `credit_score` (string, optional) — The credit score of the lead
- `target_move_in_date` (V1LeadsIdPutInputTargetMoveInDate, optional) — The move-in date associated with the lead. The timestamp will be stripped off and only the date will be used
- `email_1` (string, optional) — The primary email address associated with the lead
- `has_cats` (boolean, optional) — Whether or not the lead has cats
- `has_dogs` (boolean, optional) — Whether or not the lead has dogs
- `has_other_pets` (boolean, optional) — Whether or not the lead has pets that aren't dogs or cats
- `desired_max_rent_in_cents` (double, optional) — The maximum rent cost the lead is looking to pay, in cents
- `monthly_income_in_cents` (integer, optional) — The monthly income of the lead, in cents
- `middle_initial` (string, optional) — The middle initial of the lead
- `phone_1` (string, optional) — Primary phone number associated with the lead
- `lead_source` (string, optional) — The name of the source of the lead
- `status` (enum, optional) — The status associated with the lead
  - Allowed values: `ACTIVE`, `COLD`, `INACTIVE`, `WAITLISTED`
- `inactive_reason` (enum, optional) — The reason the lead is inactive
  - Allowed values: `PRICE`, `LOCATION`, `AMENITIES`, `NO_REASON`, `DECIDED_NOT_TO_MOVE`, `LEASING_CRITERIA_NOT_MET`, `LOOKING_FOR_MOVE_IN_SPECIAL`, `NO_AVAILABILITY`, `DUPLICATE`, `OTHER`
- `lease_period_id` (string, optional) — The Propexo unique identifier for the lease period
- `lead_source_id` (string, optional) — The Propexo unique identifier for the lead source
- `middle_name` (string, optional) — The middle name associated with the lead
- `phone_1_type` (enum, optional) — Type of the primary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `phone_2` (string, optional) — Secondary phone number associated with the lead
- `phone_2_type` (enum, optional) — Type of the secondary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `address_1` (string, optional) — The first address line associated with the lead
- `address_2` (string, optional) — The second address line associated with the lead
- `city` (string, optional) — The city associated with the lead
- `state` (string, optional) — The state associated with the lead
- `zip` (string, optional) — The zip code associated with the lead
- `desired_min_rent_in_cents` (double, optional, nullable) — The minimum rent cost the lead is looking to pay, in cents
- `number_of_occupants` (double, optional) — The number of occupants living in the unit
- `notes` (string, optional) — Notes associated with the lead
- `address_type_id` (string, optional) — The Propexo unique identifier for the address type. This is required when updating the address
- `desired_lease_term_in_months` (string, optional) — The amount of months for the lease term
- `applicant_status` (enum, optional) — The status of the lead. This is optional and defaults to ACTIVE.
  - Allowed values: `APPLICANT`, `CO_APPLICANT`, `OCCUPANT`
- `country` (string, optional) — The country associated with the lead
- `status_raw` (string, optional) — The raw status associated with the lead
- `desired_unit_type` (string, optional) — The desired type of unit
- `lead_relationship_id` (string, optional) — The Propexo unique identifier for the lead relationship
- `date_of_birth` (V1LeadsIdPutInputDateOfBirth, optional) — The date of birth associated with the lead
- `floor_plan_id` (string, optional) — The Propexo unique identifier for the floor plan
- `desired_move_in_date` (V1LeadsIdPutInputDesiredMoveInDate, optional, deprecated) — Deprecated. Use target_move_in_date instead.
- `desired_bathrooms` (string, optional, deprecated) — Deprecated. Use desired_num_bathrooms instead.
- `desired_bedrooms` (integer, optional, deprecated) — Deprecated. Use desired_num_bedrooms instead.
- `events` (list of V1LeadsIdPutInputEventsItems, optional, deprecated) — DEPRECATED: Please use /events endpoints to write events. Array of events associated with this lead

## Response

### 200

Successful response

- `job_id` (string, required) — The ID of the job created to handle this operation
- `data` (V1LeadsIdPutOutputData, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1LeadsIdPutInputTargetMoveInDate

The move-in date associated with the lead. The timestamp will be stripped off and only the date will be used

### V1LeadsIdPutInputDateOfBirth

The date of birth associated with the lead

### V1LeadsIdPutInputDesiredMoveInDate

Deprecated. Use target_move_in_date instead.

### V1LeadsIdPutInputEventsItems

- `x_type_id` (string, required) — The PMS id for the event type.
- `unit_id` (string, optional) — The Propexo unique identifier for the unit
- `x_leasing_agent_id` (string, optional) — The PMS id for the leasing agent.
- `x_sub_type_id` (string, optional) — The PMS id for the event sub type.
- `x_result_id` (string, optional) — The PMS id for the event result.
- `event_datetime` (string, optional) — The date and time that the event occured.
- `appointment_datetime` (string, optional) — The date and time that the appointment will occur. Required if using appointment type.
- `time_from` (string, optional)
- `time_to` (string, optional)
- `notes` (string, optional) — General notes about the event.
- `title` (string, optional) — Title for the event.
- `reasons_for_event` (string, optional) — The reason the event occurred.
- `id` (string, optional) — The Propexo unique identifier for the event. Only required if attempting to update an existing event.

### V1LeadsIdPutOutputData

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "job_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
  "data": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/leads/id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/leads/id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/leads/id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/leads/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.propexo.com/v1/leads/id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.propexo.com/v1/leads/id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/leads/id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/leads/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```